Warmup
GET
/email-accounts/{id}/warmup

Warmup of a mailbox bought through Swarmhit: status, strategy, warmup day, current and target daily volume, health, inbox rate, and the campaign hold (holdUntil, holdReason). limits.maxTarget is the highest target volume this mailbox may warm to (the email tier's ceiling minus its campaign cap). 409 with code: not-managed for a mailbox the workspace connected itself: warmup is available for mailboxes bought through Swarmhit.

Authorization

bearerAuth
AuthorizationBearer <token>

An API key created under Settings → API & Webhooks.

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/email-accounts/string/warmup"
{  "data": {    "warmup": {      "provider": "string",      "status": "pending",      "statusLabel": "string",      "strategy": {        "preset": "conservative",        "startingVolume": 1,        "dailyIncrease": 1,        "targetVolume": 1,        "replyInbox": [          0,          0        ],        "replyPromotions": [          0,          0        ],        "replySpam": 0      },      "strategyApplied": true,      "day": 0,      "currentVolume": 0,      "targetVolume": 0,      "health": "excellent",      "healthLabel": "string",      "healthScore": 0,      "inboxRate": 0,      "startedAt": "2019-08-24T14:15:22Z",      "holdUntil": "2019-08-24T14:15:22Z",      "holdReason": "warming",      "holdOverride": true,      "syncedAt": "2019-08-24T14:15:22Z",      "error": "string"    },    "available": true,    "limits": {      "maxTarget": 0,      "tierMax": 0,      "campaignCap": 0    }  }}